PHP is among the most commonly used general-purpose web programming languages. It’s highly popular because it is free software, which you can use to create responsive websites like community sites, Internet shops or online teaching websites as opposed to static HTML-based websites. A PHP module should be installed on the server where a PHP-powered website is hosted so that its code can be ‘translated’. Since there are no license charges for this sort of module and the language provides incalculable options for the Internet apps that you develop, there are hundreds of millions of PHP-powered sites. Furthermore, there’re a lot of PHP scripts, which you can use for your sites without having to possess any coding experience. As there’re several versions of PHP, you ought to check if the exact same version that you used while setting up your site is enabled on the server as well.

PHP 4, PHP 5 and PHP 7 Support in Cloud Web Hosting

Our cloud web hosting servers support different versions of PHP, so your sites will work faultlessly even if your PHP scripts are outdated. We realize that an old site does not automatically equal an insecure one as you may have performed a lot of source code modifications. This is why we support PHP 4, PHP 5 and PHP 7 and you can pick which one will be active for your shared web hosting account. The version can be changed with just one single mouse click through your Hepsia Control Panel and the new settings will take effect momentarily. In case you want to run both older and newer scripts, there’s even a possibility to use a different version of PHP for each of your domains at the same time.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Hosting

In case you have a website built using an older PHP version and you’ve committed time and efforts into developing it, filling security gaps and publishing web content, you will need a web hosting service that can support it, since almost all web hosts nowadays offer support only for the most recently introduced version of PHP and give up the earlier versions. We, however, have decided to let you pick the exact version that your sites require. Our Linux semi-dedicated packages support PHP 4, PHP 5 and PHP 7, so you’ll be able to use both newer and older scripts without losing any custom tweaks or frittering away time and efforts struggling to make your websites compatible with the hosting platform. The version can be changed via the Hepsia Control Panel and such an update will apply to the whole semi-dedicated account, but you’ll also be able to pick a different version of PHP for each individual site that you host in your account using an .htaccess file.